package com.zcloud.mapper.datasource.bus;

import com.zcloud.entity.Page;
import com.zcloud.entity.PageData;

import java.util.List;

/**
 * 说明：订单
 * 作者：fjk
 * 时间：2020-09-18
 * 官网：www.zcloudchina.com
 */
public interface OrderMapper{

	/**新增
	 * @param pd
	 * @throws Exception
	 */
	void save(PageData pd);

	/**删除
	 * @param pd
	 * @throws Exception
	 */
	void delete(PageData pd);

	/**修改
	 * @param pd
	 * @throws Exception
	 */
	void edit(PageData pd);

	/**修改
	 * @param pd
	 * @throws Exception
	 */
	void finishOrder(PageData pd);

	/**修改
	 * @param pd
	 * @throws Exception
	 */
	void finishOrderByClassify(PageData pd);

	/**列表
	 * @param page
	 * @throws Exception
	 */
	List<PageData> datalistPage(Page page);

	/**列表(全部)
	 * @param pd
	 * @throws Exception
	 */
	List<PageData> listAll(PageData pd);

	/**列表(全部)
	 * @param pd
	 * @throws Exception
	 */
	List<PageData> findOrderByClassify(PageData pd);

	/**未完成列表(全部)
	 * @param pd
	 * @throws Exception
	 */
	List<PageData> listAllUnFinished(PageData pd);

	/**订单统计
	 * @param pd
	 * @throws Exception
	 */
	List<PageData> orderCount(PageData pd);

	/**通过id获取数据
	 * @param pd
	 * @throws Exception
	 */
	PageData findById(PageData pd);

	/**批量删除
	 * @param ArrayDATA_IDS
	 * @throws Exception
	 */
	void deleteAll(PageData pd);

	/**查询今日总数
	 * @param ArrayDATA_IDS
	 * @throws Exception
	 */
	PageData todayCount(PageData pd);

	PageData getSpeOrdernumber(PageData pd);

	PageData getBackOrdernumber(PageData pd);

	/**查询服务人员订单
	 * @param pd
	 * @throws Exception
	 */
	List<PageData> getOrderList(PageData pd);
}

